Bug 992276 - mojo-signatures: FTBFS in rawhide
mojo-signatures: FTBFS in rawhide
Product: Fedora
Classification: Fedora
Component: mojo-signatures (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: F20FTBFS
  Show dependency treegraph
Reported: 2013-08-04 23:39 EDT by Dennis Gilmore
Modified: 2014-05-13 03:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-05-13 03:21:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
0001-fix-rhbz-992276.patch (1.35 KB, patch)
2014-01-08 09:24 EST, Paulo Andrade
no flags Details | Diff

  None (edit)
Description Dennis Gilmore 2013-08-04 23:39:00 EDT
Your package mojo-signatures failed to build from source in current rawhide.


Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/5905/5715905/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/5905/5715905/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/5905/5715905/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Fedora End Of Life 2013-09-16 11:21:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
Comment 2 Paulo Andrade 2014-01-05 12:32:50 EST
The pseudo patch to fix should be:

-      %add_to_maven_depmap org.codehaus.mojo.signature $sig %{version} JPP/%{name} $sig
+      %add_maven_depmap JPP.%{name}-$sig.pom

(repositories have f19 mojo-signatures)
Comment 3 Mikolaj Izdebski 2014-01-06 03:52:00 EST
Paulo, thank you for interest in this bug.
From what I can see this package needs more work than just getting rid of %add_to_maven_depmap macro call.  If you can, please attach patch as described in the following document:
Comment 4 Paulo Andrade 2014-01-08 09:24:03 EST
Created attachment 847174 [details]

All this patch does is to make the build finish.
But I have very few knowledge of how all bits work together.

I am just using fedora java packages as base to remake the
(Open)Mandriva java stack, that is broken for 3+ years, and
people that are supposed to like java (I hate it :-) did not
get it fixed during this time...
Comment 5 Fedora Admin XMLRPC Client 2014-04-24 08:46:54 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Mikolaj Izdebski 2014-05-12 02:20:08 EDT
I am going to retire animal-sniffer and mojo-signatures:
Comment 7 Mikolaj Izdebski 2014-05-13 03:21:16 EDT
Package mojo-signatures was retired.

Note You need to log in before you can comment on or make changes to this bug.